/**
 * 常用汉字拼音字典：共6763个，包括多音字。
 * 来自 <https://github.com/liuxianan/pinyinjs>  并有多处更正。
 */

// 多音字
exports.polyphone = {
  '阿': ['a', 'e'],
  '诶': ['ei', 'xi'],
  '蛾': ['e', 'yi'],
  '嗌': ['ai', 'yi'],
  '厂': ['an', 'han', 'chang'],
  '犴': ['an', 'han'],
  '凹': ['ao', 'wa'],
  '奥': ['ao', 'yu'],
  '拗': ['ao', 'niu'],
  '哦': ['e', 'o'],
  '扒': ['ba', 'pa'],
  '耙': ['ba', 'pa'],
  '钯': ['ba', 'pa'],
  '罢': ['ba', 'pi'],
  '辟': ['pi', 'bi'],
  '裨': ['pi', 'bi'],
  '吡': ['pi', 'bi'],
  '纰': ['pi', 'bi'],
  '濞': ['pi', 'bi'],
  '睥': ['pi', 'bi'],
  '芘': ['pi', 'bi'],
  '伯': ['ba', 'bai', 'bo'],
  '佛': ['bi', 'bo', 'fu', 'fo'],
  '柏': ['bai', 'bo'],
  '擘': ['bai', 'bo'],
  '擗': ['pi', 'bo'],
  '被': ['pi', 'bei'],
  '勃': ['bo', 'bei'],
  '臂': ['bi', 'bei'],
  '陂': ['pi', 'bei', 'po'],
  '呗': ['bai', 'bei'],
  '拌': ['ban', 'pan'],
  '旁': ['bang', 'pang'],
  '磅': ['bang', 'pang'],
  '蚌': ['bang', 'beng'],
  '薄': ['bo', 'bao'],
  '剥': ['bo', 'bao'],
  '趵': ['bo', 'bao'],
  '堡': ['bao', 'bu', 'pu'],
  '卜': ['bo', 'bu'],
  '簿': ['bo', 'bu'],
  '暴': ['bao', 'pu'],
  '埔': ['bu', 'pu'],
  '曝': ['bao', 'pu'],
  '瀑': ['bao', 'pu'],
  '朴': ['pu', 'po', 'piao'],
  '泊': ['bo', 'po'],
  '繁': ['po', 'fan'],
  '番': ['pan', 'fan'],
  '拚': ['pan', 'fan', 'pin'],
  '副': ['pi', 'fu'],
  '拂': ['bi', 'fu'],
  '贲': ['bi', 'ben'],
  '便': ['bian', 'pian'],
  '扁': ['bian', 'pian'],
  '缏': ['bian', 'pian'],
  '骠': ['biao', 'piao'],
  '莩': ['fu', 'piao'],
  '灬': ['biao', 'huo'],
  '黾': ['mian', 'min', 'meng'],
  '份': ['bin', 'fen'],
  '玢': ['bin', 'fen'],
  '槟': ['bin', 'bing'],
  '彷': ['pang', 'fang'],
  '枋': ['bing', 'fang'],
  '洗': ['xi', 'xian'],
  '铣': ['xi', 'xian'],
  '不': ['bu', 'fou'],
  '否': ['pi', 'fou'],
  '嚓': ['ca', 'cha'],
  '掺': ['xian', 'can', 'chan', 'shan'],
  '参': ['can', 'shen', 'cen', 'san'],
  '椹': ['zhen', 'shen'],
  '糁': ['shen', 'san'],
  '藏': ['cang', 'zang'],
  '臧': ['cang', 'zang'],
  '沈': ['shen', 'chen'],
  '伧': ['cang', 'chen'],
  '侧': ['ce', 'ze', 'zhai'],
  '择': ['ze', 'zhai'],
  '查': ['cha', 'zha'],
  '咋': ['ze', 'zha', 'za'],
  '楂': ['cha', 'zha'],
  '栅': ['ce', 'zha', 'shan', 'shi'],
  '喳': ['cha', 'zha'],
  '差': ['cha', 'chai', 'ci'],
  '拆': ['ca', 'chai'],
  '齐': ['zhai', 'zi', 'qi', 'ji'],
  '兹': ['ci', 'zi'],
  '呲': ['ci', 'zi'],
  '粢': ['ci', 'zi'],
  '瘥': ['chai', 'cuo'],
  '孱': ['can', 'chan'],
  '单': ['chan', 'shan', 'dan'],
  '禅': ['chan', 'shan'],
  '彡': ['xian', 'shan'],
  '崭': ['chan', 'zhan'],
  '颤': ['chan', 'zhan'],
  '信': ['shen', 'xin'],
  '莘': ['shen', 'xin'],
  '莶': ['xian', 'lian'],
  '长': ['chang', 'zhang'],
  '朝': ['chao', 'zhao'],
  '嘲': ['chao', 'zhao'],
  '粥': ['yu', 'zhou'],
  '啁': ['zhao', 'zhou', 'tiao'],
  '屮': ['cao', 'che'],
  '车': ['che', 'ju'],
  '苴': ['cha', 'ju'],
  '称': ['chen', 'cheng'],
  '肜': ['chen', 'rong'],
  '盛': ['cheng', 'sheng'],
  '乘': ['cheng', 'sheng'],
  '晟': ['cheng', 'sheng'],
  '渑': ['mian', 'sheng'],
  '澄': ['cheng', 'deng'],
  '吱': ['zi', 'zhi'],
  '徵': ['zhi', 'zheng'],
  '倘': ['chang', 'tang'],
  '淌': ['chang', 'tang'],
  '尺': ['che', 'chi'],
  '眙': ['yi', 'chi'],
  '识': ['zhi', 'shi'],
  '食': ['yi', 'shi', 'si'],
  '什': ['shen', 'shi'],
  '泽': ['ze', 'shi'],
  '殖': ['zhi', 'shi'],
  '氏': ['zhi', 'shi'],
  '匙': ['chi', 'shi'],
  '峙': ['zhi', 'shi'],
  '枝': ['zhi', 'qi'],
  '栖': ['xi', 'qi'],
  '耆': ['shi', 'qi'],
  '拓': ['zhi', 'tuo', 'ta'],
  '柁': ['tuo', 'duo'],
  '沲': ['tuo', 'duo'],
  '帱': ['dao', 'chou'],
  '仇': ['chou', 'qiu'],
  '臭': ['chou', 'xiu'],
  '揣': ['chuai', 'tuan', 'zhui'],
  '传': ['chuan', 'zhuan'],
  '幢': ['chuang', 'zhuang'],
  '奘': ['zang', 'zhuang'],
  '椎': ['zhui', 'chui'],
  '淳': ['chun', 'zhun'],
  '肫': ['chun', 'zhun'],
  '趋': ['cu', 'qu'],
  '渠': ['ju', 'qu'],
  '趣': ['cu', 'qu'],
  '瞿': ['ju', 'qu'],
  '朐': ['chun', 'qu', 'xu'],
  '苣': ['ju', 'qu'],
  '休': ['xiu', 'xu'],
  '畜': ['chu', 'xu'],
  '吁': ['yu', 'xu'],
  '邪': ['yu', 'xu', 'ye', 'xie', 'ya'],
  '嘘': ['shi', 'xu'],
  '绰': ['chao', 'chuo'],
  '啜': ['chuai', 'chuo'],
  '卒': ['cu', 'zu'],
  '其': ['qi', 'ji'],
  '系': ['xi', 'ji'],
  '期': ['qi', 'ji'],
  '奇': ['qi', 'ji'],
  '亟': ['qi', 'ji'],
  '稽': ['qi', 'ji'],
  '祭': ['zhai', 'ji'],
  '缉': ['qi', 'ji'],
  '伎': ['qi', 'ji'],
  '咭': ['xi', 'ji', 'qia'],
  '丌': ['qi', 'ji'],
  '彐': ['xue', 'ji'],
  '哜': ['zhai', 'ji', 'jie'],
  '从': ['cong', 'zong'],
  '枞': ['cong', 'zong'],
  '啐': ['qi', 'cui'],
  '隹': ['zhui', 'cui', 'wei'],
  '尾': ['yi', 'wei'],
  '尉': ['yu', 'wei'],
  '圩': ['xu', 'wei'],
  '撮': ['cuo', 'zuo'],
  '柞': ['zha', 'zuo'],
  '怍': ['zha', 'zuo'],
  '笮': ['ze', 'zuo'],
  '大': ['da', 'dai', 'tai'],
  '诒': ['yi', 'dai'],
  '沓': ['da', 'ta'],
  '嗒': ['da', 'ta'],
  '铊': ['tuo', 'ta'],
  '石': ['shi', 'dan'],
  '惮': ['da', 'dan'],
  '掸': ['shan', 'dan'],
  '膻': ['shan', 'dan'],
  '弹': ['dan', 'tan'],
  '澹': ['dan', 'tan'],
  '她': ['ta', 'jie'],
  '揭': ['qi', 'jie'],
  '桔': ['ju', 'jie'],
  '藉': ['ji', 'jie'],
  '诘': ['ji', 'jie'],
  '偈': ['ji', 'jie'],
  '腌': ['a', 'yan'],
  '芫': ['yuan', 'yan'],
  '剡': ['shan', 'yan'],
  '埏': ['shan', 'yan'],
  '铛': ['cheng', 'dang'],
  '叨': ['dao', 'tao'],
  '调': ['zhou', 'tiao', 'diao'],
  '跳': ['tao', 'tiao'],
  '得': ['de', 'dei'],
  '的': ['de', 'di'],
  '地': ['de', 'di'],
  '底': ['de', 'di'],
  '翟': ['zhai', 'di'],
  '棣': ['dai', 'di', 'ti'],
  '坻': ['chi', 'di'],
  '柢': ['chi', 'di'],
  '体': ['ben', 'ti'],
  '提': ['di', 'ti'],
  '弟': ['di', 'ti', 'tui'],
  '荑': ['yi', 'ti'],
  '裼': ['xi', 'ti'],
  '忒': ['te', 'tui'],
  '繇': ['zhou', 'you', 'yao'],
  '甸': ['sheng', 'dian', 'tian'],
  '填': ['zhen', 'tian'],
  '佃': ['dian', 'tian'],
  '钿': ['dian', 'tian'],
  '助': ['chu', 'zhu'],
  '辗': ['zhan', 'nian'],
  '铫': ['tiao', 'diao', 'yao'],
  '窕': ['tiao', 'yao'],
  '佚': ['yi', 'die'],
  '喋': ['zha', 'die'],
  '射': ['yi', 'she', 'ye'],
  '蛇': ['yi', 'she'],
  '拾': ['shi', 'she'],
  '歙': ['xi', 'she'],
  '揲': ['die', 'she', 'ye'],
  '咽': ['yan', 'ye'],
  '解': ['jie', 'xie'],
  '血': ['xue', 'xie'],
  '叶': ['ye', 'xie'],
  '契': ['qi', 'xie', 'qie'],
  '泄': ['yi', 'xie'],
  '颉': ['jie', 'xie', 'jia'],
  '着': ['zhao', 'zhe', 'zhuo'],
  '著': ['zhu', 'zhe', 'zhuo'],
  '折': ['she', 'zhe'],
  '乇': ['tuo', 'zhe'],
  '螫': ['shi', 'zhe'],
  '丁': ['zheng', 'ding'],
  '铤': ['ding', 'ting'],
  '町': ['ding', 'ting'],
  '侗': ['dong', 'tong'],
  '峒': ['dong', 'tong'],
  '僮': ['zhuang', 'tong'],
  '垌': ['dong', 'tong'],
  '重': ['chong', 'zhong'],
  '种': ['chong', 'zhong'],
  '夂': ['zhi', 'zhong'],
  '度': ['duo', 'du'],
  '都': ['dou', 'du'],
  '读': ['dou', 'du'],
  '毒': ['dai', 'du'],
  '渎': ['dou', 'du'],
  '竺': ['zhu', 'du'],
  '追': ['zhui', 'dui'],
  '敦': ['dun', 'dui'],
  '兑': ['dui', 'rui', 'yue'],
  '约': ['yao', 'yue'],
  '钥': ['yao', 'yue'],
  '屯': ['zhun', 'tun'],
  '囤': ['dun', 'tun'],
  '褪': ['tui', 'tun'],
  '堕': ['duo', 'hui'],
  '隳': ['duo', 'hui'],
  '哕': ['yue', 'hui'],
  '恶': ['e', 'wu'],
  '吾': ['yu', 'wu'],
  '於': ['yu', 'wu'],
  '碣': ['jie', 'ya'],
  '吖': ['a', 'ya'],
  '疋': ['pi', 'ya', 'shu'],
  '和': ['huo', 'he', 'hu'],
  '喝': ['ye', 'he'],
  '呵': ['a', 'he', 'ke'],
  '喔': ['o', 'wo'],
  '倭': ['wei', 'wo'],
  '唔': ['wu', 'n'],
  '芾': ['fu', 'fei'],
  '砩': ['fu', 'fei'],
  '坏': ['pi', 'pei', 'huai'],
  '妃': ['fei', 'pei'],
  '淠': ['pi', 'pei'],
  '冯': ['feng', 'ping'],
  '屏': ['bing', 'ping'],
  '许': ['xu', 'hu'],
  '核': ['he', 'hu'],
  '戏': ['xi', 'hu'],
  '浒': ['xu', 'hu'],
  '芴': ['wu', 'hu'],
  '合': ['he', 'ge'],
  '盖': ['he', 'ge', 'gai'],
  '疙': ['yi', 'ge'],
  '颌': ['he', 'ge'],
  '仡': ['yi', 'ge'],
  '纥': ['he', 'ge'],
  '蛤': ['ge', 'ha'],
  '夹': ['ga', 'xia', 'jia'],
  '吓': ['he', 'xia'],
  '唬': ['hu', 'xia'],
  '芥': ['jie', 'gai'],
  '旰': ['han', 'gan'],
  '戆': ['zhuang', 'gang'],
  '港': ['gang', 'jiang'],
  '夯': ['ben', 'hang'],
  '蚣': ['zhong', 'gong'],
  '红': ['gong', 'hong'],
  '广': ['an', 'guang'],
  '皋': ['gao', 'hao'],
  '貉': ['he', 'hao', 'mo'],
  '隶': ['dai', 'li'],
  '栎': ['yue', 'li'],
  '郦': ['zhi', 'li'],
  '鬲': ['ge', 'li'],
  '家': ['jie', 'jia'],
  '价': ['jie', 'jia'],
  '挟': ['xie', 'jia'],
  '拮': ['jie', 'jia'],
  '伽': ['ga', 'jia', 'qie'],
  '袷': ['jie', 'jia', 'qia'],
  '瘕': ['xia', 'jia'],
  '哿': ['ge', 'jia'],
  '漯': ['ta', 'luo'],
  '咯': ['ge', 'luo', 'ka'],
  '硌': ['ge', 'luo'],
  '跞': ['li', 'luo'],
  '泺': ['po', 'luo'],
  '苛': ['he', 'ke'],
  '咳': ['hai', 'ke'],
  '铪': ['ha', 'ke'],
  '给': ['ji', 'gei'],
  '哏': ['gen', 'hen'],
  '句': ['ju', 'gou'],
  '拘': ['ju', 'gou'],
  '枸': ['ju', 'gou'],
  '佝': ['gou', 'kou'],
  '贾': ['jia', 'gu'],
  '汩': ['yu', 'gu'],
  '迫': ['po', 'pai'],
  '呱': ['gu', 'gua'],
  '栝': ['tian', 'gua'],
  '呙': ['wa', 'gua', 'guo'],
  '愉': ['yu', 'tou'],
  '会': ['hui', 'kuai'],
  '浍': ['hui', 'kuai'],
  '斡': ['wo', 'guan'],
  '莞': ['guan', 'wan'],
  '宛': ['yuan', 'wan'],
  '箢': ['yuan', 'wan'],
  '柜': ['ju', 'gui'],
  '龟': ['qiu', 'gui', 'jun'],
  '桧': ['hui', 'gui'],
  '鲑': ['xie', 'gui'],
  '炅': ['gui', 'jiong'],
  '鳜': ['gui', 'jue'],
  '噱': ['xue', 'jue'],
  '棍': ['gun', 'hun'],
  '珲': ['hui', 'hun'],
  '涡': ['wo', 'guo'],
  '囗': ['wei', 'guo'],
  '嗨': ['hai', 'hei'],
  '桁': ['hang', 'heng'],
  '万': ['wan', 'mo'],
  '么': ['yao', 'mo', 'ma', 'me'],
  '嘿': ['hei', 'mo'],
  '彭': ['bang', 'peng'],
  '苹': ['ping', 'peng'],
  '亨': ['heng', 'peng'],
  '堋': ['beng', 'peng'],
  '豁': ['huo', 'hua'],
  '砉': ['xu', 'hua'],
  '还': ['hai', 'huan'],
  '垸': ['yuan', 'huan'],
  '圜': ['yuan', 'huan'],
  '浚': ['jun', 'xun'],
  '郇': ['huan', 'xun'],
  '潢': ['guang', 'huang'],
  '佴': ['er', 'nai'],
  '且': ['ju', 'qie'],
  '砌': ['qi', 'qie'],
  '趄': ['ju', 'qie'],
  '郄': ['xi', 'qie'],
  '见': ['xian', 'jian'],
  '槛': ['kan', 'jian'],
  '囝': ['jian', 'nan'],
  '纤': ['xian', 'qian'],
  '浅': ['jian', 'qian'],
  '乾': ['gan', 'qian'],
  '铅': ['yan', 'qian'],
  '嵌': ['kan', 'qian'],
  '堑': ['jian', 'qian', 'zan'],
  '犍': ['jian', 'qian'],
  '荨': ['xun', 'qian'],
  '凵': ['kan', 'qian'],
  '慊': ['qie', 'qian'],
  '强': ['jiang', 'qiang'],
  '抢': ['cheng', 'qiang'],
  '疆': ['jiang', 'qiang'],
  '降': ['jiang', 'xiang'],
  '巷': ['hang', 'xiang'],
  '角': ['jue', 'jiao'],
  '觉': ['jue', 'jiao'],
  '剿': ['chao', 'jiao'],
  '嚼': ['jue', 'jiao'],
  '侥': ['yao', 'jiao'],
  '湫': ['qiu', 'jiao'],
  '艽': ['qiu', 'jiao'],
  '缴': ['jiao', 'zhuo'],
  '琢': ['zuo', 'zhuo'],
  '淖': ['chuo', 'zhuo', 'nao'],
  '濯': ['zhao', 'zhuo'],
  '焯': ['chao', 'zhuo'],
  '棹': ['zhao', 'zhuo'],
  '壳': ['ke', 'qiao'],
  '峤': ['jiao', 'qiao'],
  '校': ['jiao', 'xiao'],
  '削': ['xue', 'xiao'],
  '俏': ['qiao', 'xiao'],
  '姣': ['jiao', 'xiao'],
  '似': ['shi', 'si'],
  '伺': ['ci', 'si'],
  '俟': ['qi', 'si'],
  '岂': ['qi', 'kai'],
  '楷': ['jie', 'kai'],
  '忾': ['xi', 'kai'],
  '矜': ['guan', 'jin', 'qin'],
  '覃': ['tan', 'qin'],
  '溱': ['zhen', 'qin'],
  '廑': ['jin', 'qin'],
  '劲': ['jin', 'jing'],
  '净': ['cheng', 'jing'],
  '颈': ['geng', 'jing'],
  '景': ['jing', 'ying'],
  '咀': ['ju', 'zui'],
  '觜': ['zi', 'zui'],
  '圈': ['quan', 'juan'],
  '隽': ['jun', 'juan'],
  '员': ['yuan', 'yun'],
  '筠': ['jun', 'yun'],
  '菀': ['wan', 'yun'],
  '麇': ['jun', 'qun'],
  '卡': ['qia', 'ka'],
  '咖': ['ga', 'ka'],
  '扛': ['gang', 'kang'],
  '吭': ['hang', 'keng'],
  '殷': ['yan', 'yin'],
  '圻': ['qi', 'yin'],
  '湮': ['yan', 'yin'],
  '龈': ['ken', 'yin'],
  '窨': ['xun', 'yin'],
  '吲': ['shen', 'yin'],
  '挎': ['ku', 'kua'],
  '溃': ['hui', 'kui'],
  '匮': ['gui', 'kui'],
  '隗': ['wei', 'kui'],
  '傀': ['gui', 'kui'],
  '蒉': ['kuai', 'kui'],
  '悝': ['li', 'kui'],
  '雀': ['qiao', 'que'],
  '括': ['gua', 'kuo'],
  '落': ['luo', 'la', 'lao'],
  '腊': ['xi', 'la'],
  '砬': ['li', 'la'],
  '疠': ['li', 'lai'],
  '啉': ['lan', 'lin'],
  '靓': ['jing', 'liang'],
  '莨': ['lang', 'liang'],
  '络': ['luo', 'lao'],
  '烙': ['luo', 'lao'],
  '模': ['mo', 'mu'],
  '莫': ['mo', 'mu'],
  '姥': ['lao', 'mu'],
  '乐': ['yue', 'le'],
  '勒': ['le', 'lei'],
  '肋': ['le', 'lei'],
  '嘞': ['le', 'lei'],
  '隋': ['duo', 'sui'],
  '睢': ['hui', 'sui'],
  '眭': ['gui', 'sui'],
  '棱': ['leng', 'ling'],
  '了': ['le', 'liao'],
  '缪': ['mu', 'liao', 'miao', 'mou', 'miu'],
  '潦': ['lao', 'liao'],
  '蓼': ['lu', 'liao'],
  '六': ['lu', 'liu'],
  '碌': ['lu', 'liu'],
  '纶': ['guan', 'lun'],
  '绿': ['lu', 'lv'],
  '捋': ['luo', 'lv'],
  '露': ['lu', 'lou'],
  '偻': ['lv', 'lou'],
  '冒': ['mo', 'mao'],
  '弄': ['long', 'nong'],
  '泷': ['long', 'shuang'],
  '术': ['zhu', 'shu'],
  '属': ['zhu', 'shu'],
  '朱': ['zhu', 'shu'],
  '俞': ['yu', 'shu'],
  '澍': ['zhu', 'shu'],
  '率': ['lv', 'shuai'],
  '衰': ['cui', 'shuai'],
  '摩': ['mo', 'ma'],
  '抹': ['mo', 'ma'],
  '蟆': ['mo', 'ma'],
  '麽': ['mo', 'me'],
  '脉': ['mo', 'mai'],
  '埋': ['mai', 'man'],
  '蔓': ['wan', 'man'],
  '秘': ['bi', 'mi'],
  '泌': ['bi', 'mi'],
  '宓': ['fu', 'mi'],
  '糸': ['si', 'mi'],
  '瞒': ['man', 'men'],
  '鞔': ['man', 'men'],
  '氓': ['mang', 'meng'],
  '蟒': ['mang', 'meng'],
  '牟': ['mu', 'mou'],
  '厶': ['si', 'mou'],
  '没': ['mo', 'mei'],
  '糜': ['mi', 'mei'],
  '汶': ['men', 'wen'],
  '韫': ['yun', 'wen'],
  '玟': ['min', 'wen'],
  '南': ['nan', 'na'],
  '哪': ['ne', 'na', 'nei'],
  '呐': ['ne', 'na'],
  '内': ['na', 'nei'],
  '那': ['na', 'nei'],
  '难': ['nan', 'nuo'],
  '娜': ['na', 'nuo'],
  '呢': ['ne', 'ni'],
  '疑': ['yi', 'ni'],
  '能': ['nai', 'neng'],
  '恁': ['nen', 'nin'],
  '尿': ['sui', 'niao'],
  '溺': ['ni', 'niao'],
  '摄': ['she', 'nie'],
  '捻': ['nian', 'nie'],
  '乜': ['mie', 'nie'],
  '酿': ['nian', 'niang'],
  '宁': ['zhu', 'ning'],
  '帑': ['tang', 'nu'],
  '女': ['nv', 'ru'],
  '疟': ['yao', 'nve'],
  '若': ['ruo', 're'],
  '喏': ['nuo', 're'],
  '区': ['qu', 'ou'],
  '禺': ['yu', 'ou'],
  '炮': ['bao', 'pao'],
  '刨': ['bao', 'pao'],
  '频': ['bin', 'pin'],
  '槭': ['qi', 'se'],
  '亲': ['qin', 'qing'],
  '箐': ['jing', 'qing'],
  '綮': ['qi', 'qing'],
  '攒': ['cuan', 'zan'],
  '召': ['zhao', 'shao'],
  '鞘': ['qiao', 'shao'],
  '苕': ['tiao', 'shao'],
  '杓': ['biao', 'shao'],
  '梢': ['shao', 'sao'],
  '缲': ['qiao', 'sao'],
  '厦': ['xia', 'sha'],
  '刹': ['cha', 'sha'],
  '嗄': ['a', 'sha'],
  '县': ['xian', 'xuan'],
  '券': ['quan', 'xuan'],
  '桡': ['nao', 'rao'],
  '洒': ['xi', 'sa'],
  '些': ['xie', 'suo'],
  '莎': ['sha', 'suo'],
  '挲': ['sha', 'suo', 'sa'],
  '思': ['si', 'sai'],
  '塞': ['se', 'sai'],
  '鳃': ['xi', 'sai'],
  '说': ['yue', 'shui', 'shuo'],
  '汤': ['tang', 'shang'],
  '裳': ['chang', 'shang'],
  '行': ['hang', 'xing'],
  '省': ['sheng', 'xing'],
  '荥': ['ying', 'xing'],
  '数': ['shu', 'shuo'],
  '硕': ['shi', 'shuo'],
  '缩': ['suo', 'su'],
  '宿': ['xiu', 'su'],
  '忪': ['zhong', 'song'],
  '孙': ['xun', 'sun'],
  '崴': ['wei', 'wai'],
  '亡': ['wu', 'wang'],
  '挝': ['wo', 'zhua'],
  '爪': ['zhao', 'zhua'],
  '羊': ['xiang', 'yang'],
  '详': ['xiang', 'yang'],
  '仰': ['ang', 'yang'],
  '涌': ['chong', 'yong'],
  '扎': ['zha', 'za'],
  '拶': ['zan', 'za'],
  '仔': ['zi', 'zai'],
  '甾': ['zi', 'zai'],
  '曾': ['ceng', 'zeng'],
  '综': ['zong', 'zeng'],
  '这': ['zhe', 'zhei'],
  '楱': ['cou', 'zou'],
  '转': ['zhuan', 'zhuai'],
  '拽': ['ye', 'zhuai'],
  '胖': ['pan', 'pang'],
  '熨': ['yu', 'yun'],
  '脯': ['fu', 'pu'],
  '杉': ['sha', 'shan'],
  '茄': ['jia', 'qie'],
  '葚': ['ren', 'shen'],
  '茈': ['ci', 'zi'],
  '镡': ['tan', 'chan', 'xin'],
  '酾': ['shai', 'shi'],
  '欹': ['yi', 'qi'],
  '菹': ['zu', 'ju'],
  '嘬': ['zuo', 'chuai'],
  '酢': ['zuo', 'cu'],
  '骀': ['dai', 'tai'],
  '褚': ['chu', 'zhu'],
  '钭': ['tou', 'dou'],
  '鹄': ['hu', 'gu'],
  '呷': ['xia', 'ga'],
  '掴': ['guo', 'guai'],
  '阚': ['han', 'kan'],
  '珩': ['heng', 'hang'],
  '蛸': ['shao', 'xiao'],
  '咱': ['zan', 'za']
}

// 正常字
exports.common = {
  'a': ['啊', '锕'],
  'e': ['额', '俄', '鹅', '遏', '鄂', '厄', '饿', '峨', '扼', '娥', '鳄', '噩', '愕', '讹', '锷', '垩', '婀', '鹗', '萼', '谔', '莪', '腭', '锇', '颚', '呃', '阏', '屙', '苊', '轭'],
  'ai': ['爱', '埃', '艾', '碍', '癌', '哀', '挨', '矮', '隘', '蔼', '唉', '皑', '哎', '霭', '捱', '暧', '嫒', '嗳', '瑷', '锿', '砹'],
  'ei': [],
  'xi': ['西', '席', '息', '希', '习', '吸', '喜', '细', '析', '悉', '锡', '溪', '惜', '稀', '袭', '夕', '晰', '昔', '牺', '烯', '熙', '媳', '膝', '隙', '犀', '蹊', '硒', '兮', '熄', '曦', '禧', '嬉', '玺', '奚', '汐', '徙', '羲', '淅', '嘻', '熹', '矽', '蟋', '郗', '唏', '皙', '隰', '樨', '浠', '蜥', '檄', '翕', '阋', '舾', '屣', '葸', '螅', '粞', '觋', '欷', '僖', '醯', '鼷', '穸', '饩', '舄', '禊', '菥', '蓰'],
  'yi': ['一', '以', '已', '意', '议', '义', '益', '亿', '易', '医', '艺', '依', '移', '衣', '异', '伊', '仪', '宜', '遗', '毅', '谊', '亦', '疫', '役', '忆', '抑', '乙', '译', '翼', '溢', '椅', '沂', '逸', '蚁', '夷', '邑', '怡', '绎', '彝', '裔', '姨', '熠', '贻', '矣', '屹', '颐', '倚', '诣', '胰', '奕', '翌', '弈', '轶', '驿', '壹', '猗', '臆', '弋', '铱', '旖', '漪', '迤', '翊', '怿', '痍', '懿', '饴', '峄', '揖', '镒', '黟', '肄', '咿', '翳', '挹', '缢', '呓', '刈', '咦', '嶷', '羿', '钇', '殪', '薏', '蜴', '镱', '噫', '癔', '苡', '悒', '瘗', '衤', '佾', '埸', '圯', '舣', '酏', '劓'],
  'an': ['安', '案', '按', '岸', '暗', '鞍', '氨', '俺', '胺', '铵', '谙', '庵', '黯', '鹌', '桉', '埯', '揞'],
  'han': ['汉', '韩', '含', '旱', '寒', '汗', '涵', '函', '喊', '憾', '罕', '焊', '翰', '邯', '撼', '瀚', '憨', '捍', '酣', '悍', '鼾', '邗', '颔', '蚶', '晗', '菡', '顸', '焓', '撖'],
  'ang': ['昂', '盎', '肮'],
  'ao': ['澳', '傲', '熬', '鳌', '敖', '遨', '鏖', '袄', '坳', '翱', '嗷', '懊', '岙', '螯', '骜', '獒', '鏊', '媪', '廒', '聱'],
  'wa': ['瓦', '挖', '娃', '洼', '袜', '蛙', '哇', '佤', '娲', '腽'],
  'yu': ['于', '与', '育', '余', '预', '域', '予', '遇', '语', '誉', '玉', '鱼', '雨', '渔', '裕', '愈', '娱', '欲', '舆', '宇', '羽', '逾', '豫', '郁', '寓', '狱', '喻', '御', '浴', '禹', '榆', '愚', '渝', '淤', '虞', '屿', '峪', '驭', '瑜', '毓', '钰', '隅', '芋', '瘀', '迂', '煜', '昱', '臾', '盂', '聿', '竽', '萸', '妪', '腴', '圄', '谕', '觎', '揄', '龉', '谀', '俣', '馀', '庾', '妤', '瘐', '鬻', '欤', '鹬', '阈', '嵛', '雩', '鹆', '圉', '蜮', '伛', '纡', '窬', '窳', '饫', '蓣', '狳', '肀', '舁', '蝓', '燠'],
  'niu': ['牛', '纽', '扭', '钮', '妞', '忸', '狃'],
  'o': ['噢'],
  'ba': ['把', '八', '巴', '拔', '吧', '坝', '爸', '霸', '芭', '跋', '叭', '靶', '疤', '笆', '鲅', '粑', '岜', '灞', '捌', '菝', '魃', '茇'],
  'pa': ['怕', '帕', '爬', '趴', '琶', '啪', '葩', '杷', '筢'],
  'pi': ['批', '皮', '啤', '匹', '披', '疲', '僻', '毗', '坯', '脾', '譬', '劈', '媲', '屁', '琵', '邳', '痞', '癖', '丕', '枇', '噼', '霹', '砒', '铍', '郫', '埤', '蚍', '圮', '鼙', '罴', '蜱', '貔', '仳', '庀', '甓', '陴'],
  'bi': ['庳', '比', '必', '币', '笔', '毕', '避', '闭', '壁', '弊', '彼', '逼', '碧', '鼻', '蔽', '璧', '庇', '痹', '毙', '弼', '匕', '鄙', '陛', '敝', '蓖', '篦', '俾', '铋', '毖', '筚', '荸', '薜', '婢', '哔', '跸', '秕', '荜', '愎', '妣', '箅', '髀', '畀', '滗', '狴', '萆', '嬖', '襞', '舭'],
  'bai': ['百', '白', '败', '摆', '拜', '佰', '掰', '捭', '稗'],
  'bo': ['波', '博', '播', '拨', '玻', '搏', '舶', '渤', '驳', '脖', '膊', '簸', '菠', '礴', '箔', '铂', '亳', '钵', '帛', '饽', '跛', '钹', '檗', '啵', '鹁', '踣'],
  'bei': ['北', '备', '倍', '背', '杯', '贝', '辈', '悲', '碑', '卑', '悖', '惫', '蓓', '钡', '狈', '焙', '碚', '褙', '鞴', '孛', '鹎', '邶', '鐾'],
  'ban': ['办', '版', '半', '班', '般', '板', '颁', '伴', '搬', '斑', '扮', '扳', '瓣', '坂', '阪', '绊', '钣', '瘢', '舨', '癍'],
  'pan': ['判', '盘', '潘', '攀', '盼', '畔', '叛', '蹒', '磐', '爿', '蟠', '泮', '袢', '襻', '丬'],
  'bin': ['宾', '滨', '斌', '彬', '濒', '殡', '缤', '鬓', '摈', '膑', '镔', '豳', '髌', '傧'],
  'bang': ['帮', '邦', '榜', '棒', '膀', '镑', '绑', '傍', '谤', '梆', '浜', '蒡'],
  'pang': ['庞', '乓', '螃', '滂', '逄', '耪'],
  'beng': ['泵', '崩', '蹦', '迸', '绷', '甭', '嘣', '甏'],
  'bao': ['报', '保', '包', '宝', '胞', '爆', '饱', '抱', '鲍', '葆', '豹', '褒', '雹', '孢', '苞', '煲', '褓', '鸨', '龅', '勹'],
  'bu': ['部', '步', '布', '补', '捕', '埠', '哺', '怖', '钚', '卟', '瓿', '逋', '晡', '醭', '钸'],
  'pu': ['普', '铺', '浦', '葡', '谱', '扑', '仆', '蒲', '溥', '莆', '圃', '璞', '濮', '菩', '蹼', '匍', '噗', '氆', '攵', '镨', '攴', '镤'],
  'mian': ['面', '棉', '免', '绵', '缅', '勉', '眠', '冕', '娩', '腼', '湎', '沔', '宀', '眄'],
  'po': ['破', '坡', '颇', '婆', '泼', '魄', '粕', '鄱', '珀', '叵', '笸', '皤', '钋', '钷'],
  'fan': ['反', '范', '犯', '饭', '泛', '翻', '凡', '返', '贩', '烦', '帆', '樊', '藩', '矾', '梵', '蕃', '钒', '幡', '畈', '蘩', '蹯', '燔'],
  'fu': ['府', '服', '负', '富', '复', '福', '夫', '妇', '幅', '付', '扶', '父', '符', '附', '腐', '赴', '浮', '覆', '辅', '傅', '伏', '抚', '赋', '辐', '腹', '弗', '肤', '阜', '袱', '缚', '甫', '氟', '斧', '孚', '敷', '俯', '俘', '咐', '腑', '孵', '芙', '涪', '釜', '茯', '馥', '绂', '讣', '呋', '罘', '麸', '蝠', '匐', '蜉', '跗', '凫', '滏', '蝮', '驸', '绋', '蚨', '桴', '赙', '菔', '呒', '趺', '苻', '拊', '阝', '鲋', '怫', '稃', '郛', '幞', '祓', '艴', '黻', '黼', '鳆'],
  'ben': ['本', '奔', '苯', '笨', '锛', '畚', '坌'],
  'feng': ['风', '丰', '封', '峰', '奉', '凤', '锋', '逢', '缝', '蜂', '枫', '疯', '讽', '烽', '俸', '沣', '酆', '砜', '葑', '唪'],
  'bian': ['变', '边', '编', '遍', '辩', '鞭', '辨', '贬', '匾', '卞', '汴', '辫', '砭', '苄', '蝙', '鳊', '弁', '窆', '笾', '煸', '褊', '碥', '忭'],
  'pian': ['片', '篇', '偏', '骗', '翩', '骈', '胼', '蹁', '谝', '犏'],
  'zhen': ['镇', '真', '针', '圳', '振', '震', '珍', '阵', '诊', '侦', '臻', '贞', '枕', '桢', '赈', '祯', '帧', '甄', '斟', '缜', '箴', '疹', '砧', '榛', '鸩', '轸', '稹', '蓁', '胗', '朕', '畛', '浈'],
  'biao': ['表', '标', '彪', '镖', '裱', '飚', '膘', '飙', '镳', '婊', '飑', '髟', '鳔', '瘭'],
  'piao': ['票', '漂', '飘', '嫖', '瓢', '剽', '缥', '殍', '瞟', '嘌', '螵'],
  'huo': ['活', '或', '货', '获', '火', '伙', '惑', '霍', '祸', '嚯', '藿', '锪', '蠖', '钬', '耠', '镬', '夥', '劐', '攉'],
  'bie': ['别', '鳖', '憋', '瘪', '蹩'],
  'min': ['民', '敏', '闽', '闵', '皿', '泯', '岷', '悯', '珉', '抿', '缗', '愍', '苠', '鳘'],
  'fen': ['分', '纷', '奋', '粉', '氛', '芬', '愤', '粪', '坟', '汾', '焚', '酚', '吩', '忿', '棼', '鼢', '瀵', '偾', '鲼'],
  'bing': ['并', '病', '兵', '冰', '饼', '炳', '秉', '丙', '摒', '柄', '禀', '邴', '冫'],
  'geng': ['更', '耕', '庚', '耿', '梗', '埂', '羹', '哽', '赓', '绠', '鲠'],
  'fang': ['方', '放', '房', '防', '访', '纺', '芳', '仿', '坊', '妨', '肪', '邡', '舫', '鲂', '匚', '钫'],
  'xian': ['现', '先', '线', '限', '显', '险', '献', '鲜', '宪', '陷', '闲', '贤', '仙', '衔', '掀', '咸', '嫌', '羡', '弦', '腺', '痫', '娴', '舷', '馅', '酰', '冼', '涎', '暹', '籼', '锨', '苋', '蚬', '跹', '岘', '藓', '燹', '鹇', '氙', '霰', '跣', '猃', '祆', '筅'],
  'fou': ['缶'],
  'ca': ['擦', '礤'],
  'cha': ['察', '茶', '插', '叉', '茬', '岔', '诧', '碴', '姹', '杈', '汊', '衩', '搽', '槎', '镲', '檫', '馇', '锸', '猹'],
  'cai': ['才', '采', '财', '材', '菜', '彩', '裁', '蔡', '猜', '踩', '睬'],
  'can': ['残', '餐', '灿', '惨', '蚕', '璨', '惭', '粲', '骖', '黪'],
  'shen': ['深', '身', '神', '审', '申', '甚', '伸', '慎', '渗', '肾', '绅', '呻', '婶', '娠', '砷', '蜃', '哂', '渖', '诜', '谂', '矧', '胂'],
  'cen': ['岑', '涔'],
  'san': ['三', '散', '伞', '叁', '馓', '毵'],
  'cang': ['仓', '苍', '沧', '舱'],
  'zang': ['脏', '葬', '赃', '驵'],
  'chen': ['陈', '沉', '晨', '琛', '臣', '尘', '辰', '衬', '趁', '忱', '郴', '宸', '谌', '碜', '嗔', '抻', '榇', '谶', '龀'],
  'cao': ['艹', '草', '操', '曹', '槽', '糙', '嘈', '漕', '螬', '艚'],
  'ce': ['策', '测', '册', '厕', '恻'],
  'ze': ['责', '则', '啧', '仄', '箦', '赜', '舴', '昃', '迮', '帻'],
  'zhai': ['债', '宅', '寨', '摘', '窄', '斋', '砦', '瘵'],
  'dao': ['到', '道', '导', '岛', '倒', '刀', '盗', '稻', '蹈', '悼', '捣', '祷', '焘', '氘', '纛', '刂', '忉'],
  'ceng': ['层', '蹭', '噌'],
  'zha': ['炸', '诈', '闸', '渣', '乍', '榨', '札', '眨', '咤', '铡', '蚱', '吒', '砟', '揸', '痄', '哳', '齄'],
  'chai': ['柴', '钗', '豺', '侪', '虿'],
  'ci': ['次', '此', '词', '辞', '刺', '瓷', '磁', '慈', '茨', '赐', '祠', '雌', '疵', '鹚', '糍'],
  'zi': ['资', '自', '子', '字', '咨', '滋', '姿', '紫', '孜', '淄', '籽', '梓', '鲻', '渍', '姊', '秭', '恣', '孳', '訾', '滓', '锱', '辎', '趑', '龇', '赀', '眦', '缁', '笫', '谘', '嵫', '髭', '耔'],
  'cuo': ['措', '错', '磋', '挫', '搓', '蹉', '锉', '厝', '嵯', '痤', '矬', '脞', '鹾'],
  'chan': ['产', '阐', '缠', '铲', '蝉', '搀', '潺', '蟾', '馋', '忏', '婵', '觇', '廛', '谄', '谗', '澶', '骣', '羼', '躔', '蒇', '冁'],
  'shan': ['山', '善', '陕', '闪', '衫', '擅', '汕', '扇', '珊', '删', '膳', '缮', '赡', '鄯', '煽', '姗', '跚', '鳝', '嬗', '潸', '讪', '舢', '苫', '疝', '钐', '蟮', '芟', '骟'],
  'zhan': ['展', '战', '占', '站', '粘', '湛', '沾', '瞻', '詹', '斩', '盏', '绽', '毡', '栈', '蘸', '旃', '谵', '搌'],
  'xin': ['新', '心', '辛', '欣', '薪', '馨', '鑫', '芯', '锌', '忻', '昕', '衅', '歆', '囟', '忄'],
  'lian': ['联', '连', '练', '廉', '炼', '脸', '莲', '恋', '链', '帘', '怜', '涟', '敛', '琏', '镰', '濂', '楝', '鲢', '殓', '潋', '裢', '裣', '臁', '奁', '蠊', '蔹'],
  'chang': ['场', '常', '偿', '昌', '唱', '畅', '倡', '尝', '肠', '敞', '猖', '娼', '徜', '昶', '怅', '嫦', '菖', '鲳', '阊', '伥', '苌', '氅', '惝', '鬯'],
  'zhang': ['张', '章', '障', '涨', '掌', '帐', '胀', '彰', '丈', '仗', '漳', '樟', '账', '杖', '璋', '嶂', '仉', '瘴', '蟑', '獐', '幛', '鄣', '嫜'],
  'chao': ['超', '潮', '炒', '钞', '抄', '巢', '吵', '晁', '耖', '怊'],
  'zhao': ['照', '招', '找', '赵', '兆', '昭', '肇', '罩', '钊', '沼', '诏', '笊'],
  'zhou': ['州', '周', '洲', '舟', '骤', '轴', '昼', '宙', '皱', '肘', '咒', '帚', '胄', '绉', '纣', '妯', '诌', '碡', '籀', '酎', '荮'],
  'che': ['彻', '撤', '扯', '澈', '掣', '坼', '砗'],
  'ju': ['局', '据', '具', '举', '居', '剧', '巨', '聚', '距', '拒', '俱', '菊', '炬', '惧', '矩', '鞠', '驹', '锯', '踞', '掬', '沮', '莒', '橘', '飓', '疽', '钜', '踽', '遽', '琚', '龃', '椐', '裾', '榘', '狙', '倨', '榉', '讵', '雎', '锔', '窭', '鞫', '犋', '屦', '醵'],
  'cheng': ['成', '程', '城', '承', '诚', '呈', '惩', '撑', '秤', '橙', '骋', '逞', '瞠', '丞', '埕', '塍', '蛏', '柽', '铖', '酲', '裎', '枨'],
  'rong': ['容', '荣', '融', '绒', '溶', '蓉', '熔', '戎', '榕', '茸', '冗', '嵘', '狨', '蝾'],
  'sheng': ['生', '声', '升', '胜', '圣', '剩', '牲', '绳', '笙', '甥', '嵊', '眚'],
  'deng': ['等', '登', '邓', '灯', '凳', '瞪', '蹬', '噔', '磴', '嶝', '镫', '簦', '戥'],
  'zhi': ['制', '之', '治', '质', '职', '只', '志', '至', '指', '织', '支', '值', '知', '直', '致', '执', '置', '止', '植', '纸', '智', '秩', '旨', '址', '滞', '芝', '脂', '帜', '汁', '肢', '挚', '稚', '酯', '掷', '炙', '栉', '侄', '芷', '窒', '咫', '趾', '痔', '蜘', '郅', '桎', '雉', '祉', '陟', '痣', '蛭', '帙', '枳', '踯', '胝', '栀', '贽', '祗', '豸', '鸷', '摭', '轵', '卮', '轾', '彘', '觯', '絷', '跖', '埴', '黹', '忮', '骘', '膣', '踬'],
  'zheng': ['政', '正', '证', '争', '整', '征', '郑', '症', '挣', '蒸', '睁', '铮', '筝', '拯', '峥', '怔', '诤', '狰', '钲'],
  'tang': ['堂', '唐', '糖', '塘', '躺', '趟', '棠', '烫', '膛', '搪', '镗', '傥', '螳', '溏', '羰', '樘', '醣', '螗', '耥', '铴', '瑭'],
  'chi': ['持', '吃', '池', '迟', '赤', '驰', '斥', '齿', '翅', '痴', '耻', '炽', '侈', '弛', '叱', '啻', '嗤', '墀', '哧', '茌', '豉', '敕', '笞', '饬', '踟', '蚩', '媸', '魑', '篪', '褫', '彳', '鸱', '螭', '瘛', '眵', '傺'],
  'shi': ['是', '时', '实', '事', '市', '十', '使', '世', '施', '式', '势', '视', '师', '史', '示', '始', '士', '失', '适', '试', '室', '诗', '饰', '释', '驶', '逝', '湿', '蚀', '狮', '誓', '尸', '仕', '柿', '矢', '侍', '噬', '嗜', '拭', '屎', '恃', '轼', '虱', '舐', '莳', '铈', '谥', '炻', '豕', '鲥', '饣', '筮', '埘', '弑', '礻', '蓍', '鲺', '贳'],
  'qi': ['企', '起', '气', '七', '器', '汽', '启', '旗', '棋', '妻', '弃', '歧', '欺', '骑', '迄', '漆', '戚', '岐', '琦', '琪', '泣', '乞', '祁', '崎', '绮', '祺', '祈', '凄', '淇', '杞', '脐', '麒', '憩', '芪', '畦', '葺', '沏', '萋', '骐', '鳍', '綦', '讫', '蕲', '屺', '颀', '亓', '碛', '柒', '汔', '萁', '嘁', '蛴', '芑', '桤', '蜞'],
  'chuai': ['踹', '搋', '膪'],
  'tuo': ['托', '脱', '拖', '妥', '驼', '陀', '沱', '鸵', '驮', '唾', '椭', '坨', '佗', '砣', '跎', '庹', '橐', '酡', '鼍', '箨', '柝'],
  'duo': ['多', '夺', '朵', '躲', '铎', '咄', '舵', '垛', '惰', '哆', '踱', '跺', '掇', '剁', '缍', '裰', '哚'],
  'xue': ['学', '雪', '薛', '穴', '靴', '谑', '鳕', '踅', '泶'],
  'chong': ['充', '冲', '崇', '虫', '宠', '忡', '憧', '舂', '茺', '铳', '艟'],
  'chou': ['筹', '抽', '绸', '酬', '愁', '丑', '畴', '稠', '瞅', '踌', '惆', '俦', '瘳', '雠'],
  'qiu': ['求', '球', '秋', '丘', '邱', '酋', '裘', '囚', '遒', '鳅', '虬', '蚯', '泅', '楸', '犰', '逑', '巯', '俅', '蝤', '赇', '鼽', '糗'],
  'xiu': ['修', '秀', '袖', '绣', '朽', '锈', '羞', '嗅', '岫', '溴', '庥', '馐', '咻', '髹', '鸺', '貅'],
  'chu': ['出', '处', '础', '初', '除', '储', '触', '楚', '厨', '雏', '矗', '橱', '锄', '滁', '躇', '怵', '绌', '搐', '刍', '蜍', '黜', '杵', '蹰', '亍', '樗', '憷', '楮'],
  'tuan': ['团', '湍', '疃', '抟', '彖'],
  'zhui': ['坠', '缀', '锥', '赘', '惴', '骓', '缒'],
  'chuan': ['川', '船', '穿', '串', '喘', '椽', '舛', '钏', '遄', '氚', '巛', '舡'],
  'zhuan': ['专', '赚', '砖', '撰', '篆', '馔', '啭', '颛'],
  'yuan': ['元', '院', '原', '源', '远', '愿', '园', '援', '圆', '缘', '袁', '怨', '渊', '苑', '冤', '媛', '猿', '垣', '沅', '塬', '鸳', '辕', '鸢', '瑗', '爰', '鼋', '橼', '螈', '眢', '掾'],
  'cuan': ['窜', '篡', '蹿', '撺', '爨', '汆', '镩'],
  'chuang': ['创', '床', '窗', '闯', '疮', '怆'],
  'zhuang': ['装', '状', '庄', '壮', '撞', '妆', '桩'],
  'chui': ['吹', '垂', '锤', '炊', '陲', '槌', '捶', '棰'],
  'chun': ['春', '纯', '醇', '唇', '椿', '蠢', '鹑', '莼', '蝽'],
  'zhun': ['准', '谆', '窀'],
  'cu': ['促', '粗', '簇', '醋', '蹴', '猝', '蹙', '蔟', '殂', '徂'],
  'dun': ['吨', '顿', '盾', '蹲', '墩', '沌', '钝', '炖', '盹', '遁', '趸', '砘', '礅'],
  'qu': ['去', '取', '曲', '驱', '屈', '躯', '衢', '娶', '祛', '岖', '龋', '觑', '蛐', '癯', '蛆', '阒', '诎', '劬', '蕖', '蘧', '氍', '黢', '蠼', '璩', '麴', '鸲', '磲'],
  'xu': ['需', '续', '须', '序', '徐', '蓄', '虚', '绪', '叙', '旭', '恤', '墟', '栩', '絮', '婿', '戌', '胥', '煦', '酗', '诩', '盱', '蓿', '溆', '洫', '顼', '勖', '糈', '醑'],
  'chuo': ['辍', '戳', '龊', '踔', '辶'],
  'zu': ['组', '族', '足', '祖', '租', '阻', '俎', '诅', '镞'],
  'ji': ['济', '机', '技', '基', '记', '计', '际', '及', '集', '级', '几', '积', '极', '己', '纪', '即', '继', '击', '既', '激', '绩', '急', '吉', '季', '疾', '迹', '鸡', '剂', '辑', '籍', '寄', '挤', '圾', '冀', '寂', '暨', '脊', '跻', '肌', '忌', '饥', '棘', '矶', '汲', '畸', '姬', '瘠', '骥', '羁', '妓', '讥', '稷', '蓟', '悸', '嫉', '岌', '叽', '鲫', '楫', '荠', '戟', '箕', '霁', '嵇', '觊', '麂', '畿', '玑', '笈', '犄', '芨', '唧', '屐', '髻', '戢', '佶', '笄', '跽', '蒺', '乩', '赍', '嵴', '虮', '掎', '齑', '殛', '鲚', '剞', '洎', '墼', '蕺', '芰'],
  'cong': ['丛', '匆', '聪', '葱', '囱', '琮', '淙', '骢', '苁', '璁'],
  'zong': ['总', '宗', '纵', '踪', '棕', '粽', '鬃', '偬', '腙'],
  'cou': ['凑', '辏', '腠'],
  'cui': ['催', '崔', '脆', '翠', '萃', '粹', '摧', '璀', '瘁', '悴', '淬', '毳', '榱'],
  'wei': ['为', '位', '委', '未', '维', '卫', '围', '违', '威', '伟', '危', '味', '微', '唯', '谓', '伪', '慰', '魏', '韦', '胃', '畏', '帷', '喂', '巍', '萎', '蔚', '纬', '潍', '渭', '惟', '薇', '苇', '炜', '娓', '诿', '玮', '桅', '偎', '逶', '猥', '葳', '痿', '猬', '涠', '嵬', '韪', '煨', '艉', '帏', '闱', '洧', '沩', '隈', '鲔', '軎'],
  'cun': ['村', '存', '寸', '忖', '皴'],
  'zuo': ['作', '做', '座', '左', '坐', '昨', '佐', '祚', '唑', '阼', '胙'],
  'zuan': ['钻', '纂', '攥', '缵', '躜'],
  'da': ['达', '打', '答', '搭', '瘩', '哒', '耷', '鞑', '靼', '褡', '笪', '怛', '妲'],
  'dai': ['代', '带', '待', '贷', '戴', '袋', '歹', '呆', '逮', '岱', '傣', '怠', '殆', '黛', '甙', '埭', '绐', '玳', '呔', '迨'],
  'tai': ['台', '太', '态', '泰', '抬', '胎', '汰', '钛', '苔', '薹', '肽', '跆', '邰', '鲐', '酞', '炱'],
  'ta': ['他', '它', '塔', '踏', '塌', '榻', '獭', '挞', '蹋', '趿', '遢', '鳎', '溻', '闼'],
  'dan': ['但', '担', '丹', '胆', '旦', '蛋', '淡', '诞', '氮', '郸', '耽', '殚', '儋', '眈', '疸', '啖', '箪', '聃', '萏', '瘅', '赕'],
  'lu': ['路', '陆', '录', '鲁', '卢', '炉', '鹿', '禄', '赂', '芦', '庐', '麓', '颅', '泸', '卤', '潞', '鹭', '辘', '虏', '璐', '漉', '噜', '戮', '鲈', '掳', '橹', '轳', '逯', '渌', '撸', '鸬', '栌', '氇', '胪', '镥', '簏', '舻', '辂', '垆'],
  'tan': ['谈', '探', '坦', '摊', '炭', '坛', '滩', '贪', '叹', '谭', '潭', '碳', '毯', '瘫', '檀', '痰', '袒', '坍', '忐', '昙', '郯', '钽', '锬'],
  'ren': ['人', '任', '认', '仁', '忍', '韧', '刃', '纫', '饪', '妊', '荏', '稔', '壬', '仞', '轫', '亻', '衽'],
  'jie': ['结', '界', '接', '节', '届', '介', '阶', '街', '借', '杰', '洁', '截', '姐', '捷', '劫', '戒', '皆', '竭', '诫', '秸', '睫', '嗟', '蚧', '孑', '婕', '疖', '桀', '讦', '疥', '羯', '喈', '卩', '鲒', '骱'],
  'yan': ['研', '严', '验', '演', '言', '眼', '烟', '沿', '延', '盐', '炎', '燕', '岩', '宴', '艳', '颜', '彦', '掩', '淹', '阎', '衍', '雁', '厌', '焰', '堰', '砚', '唁', '焉', '晏', '檐', '蜒', '奄', '俨', '妍', '谚', '兖', '筵', '焱', '偃', '闫', '嫣', '鄢', '赝', '胭', '琰', '滟', '阉', '魇', '酽', '郾', '恹', '崦', '鼹', '菸', '餍', '谳', '讠', '厣', '罨'],
  'dang': ['当', '党', '档', '荡', '挡', '宕', '砀', '裆', '凼', '菪', '谠'],
  'tao': ['套', '讨', '陶', '涛', '逃', '桃', '萄', '淘', '掏', '滔', '韬', '洮', '啕', '绦', '饕', '鼗'],
  'tiao': ['条', '挑', '迢', '眺', '笤', '佻', '粜', '髫', '祧', '龆', '蜩', '鲦'],
  'te': ['特', '忑', '铽', '慝'],
  'de': ['德', '锝'],
  'dei': [],
  'di': ['第', '低', '抵', '迪', '递', '帝', '敌', '堤', '蒂', '缔', '滴', '涤', '娣', '笛', '荻', '谛', '狄', '邸', '嘀', '砥', '诋', '嫡', '镝', '碲', '骶', '氐', '籴', '羝', '睇', '觌'],
  'ti': ['题', '替', '梯', '踢', '惕', '剔', '蹄', '啼', '屉', '剃', '涕', '锑', '倜', '悌', '逖', '嚏', '醍', '绨', '鹈', '缇'],
  'tui': ['推', '退', '腿', '颓', '蜕', '煺'],
  'you': ['有', '由', '又', '优', '游', '油', '友', '右', '邮', '尤', '忧', '幼', '犹', '诱', '悠', '幽', '佑', '釉', '柚', '铀', '鱿', '囿', '酉', '攸', '黝', '莠', '猷', '蝣', '疣', '呦', '蚴', '莸', '莜', '铕', '宥', '卣', '牖', '鼬', '尢', '蚰', '侑'],
  'dian': ['电', '点', '店', '典', '奠', '碘', '淀', '殿', '垫', '颠', '滇', '癫', '巅', '惦', '掂', '癜', '玷', '踮', '靛', '簟', '坫', '阽'],
  'tian': ['天', '田', '添', '甜', '恬', '腆', '舔', '阗', '忝', '殄', '畋', '掭'],
  'zhu': ['主', '住', '注', '逐', '筑', '驻', '珠', '祝', '猪', '诸', '柱', '竹', '铸', '株', '瞩', '嘱', '贮', '煮', '烛', '苎', '蛛', '拄', '铢', '洙', '蛀', '渚', '伫', '杼', '侏', '诛', '茱', '箸', '炷', '躅', '翥', '潴', '邾', '槠', '舳', '橥', '丶', '瘃', '麈', '疰'],
  'nian': ['年', '念', '碾', '廿', '撵', '拈', '蔫', '鲶', '埝', '鲇', '辇', '黏'],
  'diao': ['掉', '雕', '吊', '钓', '刁', '貂', '凋', '碉', '鲷', '叼', '铞'],
  'yao': ['要', '药', '邀', '摇', '耀', '腰', '遥', '姚', '窑', '瑶', '咬', '尧', '谣', '肴', '夭', '吆', '妖', '幺', '杳', '舀', '窈', '曜', '鹞', '爻', '徭', '轺', '鳐', '崾', '珧'],
  'die': ['跌', '叠', '蝶', '迭', '碟', '爹', '谍', '牒', '耋', '堞', '瓞', '鲽', '垤', '蹀'],
  'she': ['设', '社', '涉', '舍', '舌', '奢', '慑', '赦', '赊', '佘', '麝', '畲', '厍', '猞', '滠'],
  'ye': ['业', '也', '夜', '野', '液', '冶', '页', '爷', '耶', '椰', '烨', '掖', '曳', '晔', '谒', '腋', '噎', '揶', '靥', '邺', '铘'],
  'xie': ['协', '写', '谢', '械', '鞋', '胁', '斜', '携', '懈', '卸', '谐', '蟹', '歇', '泻', '屑', '燮', '榭', '蝎', '撷', '偕', '亵', '楔', '缬', '邂', '瀣', '勰', '榍', '薤', '绁', '渫', '廨', '獬', '躞'],
  'zhe': ['者', '浙', '哲', '蔗', '遮', '辙', '辄', '柘', '锗', '褶', '蜇', '蛰', '鹧', '谪', '赭', '摺', '磔'],
  'ding': ['定', '订', '顶', '鼎', '盯', '钉', '锭', '叮', '仃', '酊', '啶', '碇', '腚', '疔', '玎', '耵'],
  'diu': ['丢', '铥'],
  'ting': ['听', '庭', '停', '厅', '廷', '挺', '亭', '艇', '婷', '汀', '烃', '霆', '蜓', '葶', '梃', '莛'],
  'dong': ['动', '东', '董', '冬', '洞', '懂', '冻', '栋', '咚', '氡', '恫', '胴', '硐', '鸫', '岽', '胨'],
  'tong': ['同', '通', '统', '童', '痛', '铜', '桶', '桐', '筒', '彤', '佟', '潼', '捅', '酮', '砼', '瞳', '恸', '仝', '嗵', '茼'],
  'zhong': ['中', '众', '终', '钟', '忠', '仲', '衷', '肿', '踵', '冢', '盅', '锺', '舯', '螽'],
  'dou': ['斗', '豆', '抖', '兜', '陡', '逗', '窦', '蚪', '痘', '蔸', '篼'],
  'du': ['独', '督', '渡', '杜', '堵', '赌', '睹', '肚', '镀', '笃', '嘟', '犊', '妒', '牍', '蠹', '椟', '黩', '芏', '髑'],
  'duan': ['断', '段', '短', '端', '锻', '缎', '煅', '椴', '簖'],
  'dui': ['对', '队', '堆', '碓', '镦', '怼', '憝'],
  'rui': ['瑞', '锐', '睿', '芮', '蕊', '蕤', '蚋', '枘'],
  'yue': ['月', '越', '跃', '阅', '岳', '粤', '悦', '曰', '钺', '樾', '瀹', '龠', '刖'],
  'tun': ['吞', '豚', '臀', '饨', '暾', '氽'],
  'hui': ['回', '挥', '汇', '惠', '辉', '恢', '徽', '绘', '毁', '慧', '灰', '贿', '卉', '悔', '秽', '荟', '晖', '彗', '讳', '诲', '诙', '蕙', '晦', '麾', '烩', '茴', '喙', '蛔', '洄', '虺', '恚', '蟪', '咴', '缋'],
  'wu': ['务', '物', '无', '五', '武', '午', '吴', '舞', '伍', '污', '乌', '误', '屋', '晤', '悟', '雾', '芜', '梧', '勿', '巫', '侮', '坞', '毋', '诬', '呜', '钨', '邬', '捂', '鹜', '兀', '婺', '妩', '戊', '鹉', '浯', '蜈', '骛', '仵', '焐', '鋈', '庑', '鼯', '牾', '怃', '圬', '忤', '痦', '迕', '杌', '寤', '阢'],
  'ya': ['亚', '压', '雅', '牙', '押', '鸭', '呀', '轧', '涯', '崖', '芽', '哑', '讶', '鸦', '娅', '衙', '丫', '蚜', '垭', '伢', '氩', '桠', '琊', '揠', '睚', '痖', '迓', '岈', '砑'],
  'he': ['河', '何', '贺', '赫', '荷', '盒', '鹤', '禾', '菏', '壑', '褐', '涸', '阂', '阖', '劾', '诃', '嗬', '曷', '翮', '盍'],
  'wo': ['我', '握', '窝', '沃', '卧', '渥', '幄', '蜗', '莴', '龌', '肟', '硪'],
  'en': ['恩', '摁', '蒽'],
  'n': ['嗯'],
  'er': ['而', '二', '尔', '儿', '耳', '迩', '饵', '洱', '贰', '铒', '珥', '鸸', '鲕'],
  'fa': ['发', '法', '罚', '乏', '伐', '阀', '筏', '砝', '垡', '珐'],
  'quan': ['全', '权', '泉', '拳', '劝', '犬', '铨', '痊', '诠', '荃', '醛', '蜷', '颧', '绻', '犭', '筌', '鬈', '悛', '辁', '畎'],
  'fei': ['费', '非', '飞', '肥', '废', '菲', '肺', '啡', '沸', '匪', '斐', '蜚', '诽', '扉', '翡', '霏', '吠', '绯', '腓', '痱', '淝', '悱', '狒', '榧', '鲱', '篚', '镄'],
  'pei': ['配', '培', '赔', '佩', '陪', '沛', '裴', '胚', '霈', '旆', '帔', '呸', '醅', '辔', '锫'],
  'ping': ['平', '评', '凭', '瓶', '萍', '乒', '坪', '枰', '娉', '俜', '鲆'],
  'fo': [],
  'hu': ['护', '户', '湖', '互', '乎', '呼', '胡', '忽', '虎', '沪', '糊', '壶', '葫', '狐', '蝴', '弧', '瑚', '琥', '扈', '滹', '惚', '祜', '囫', '斛', '笏', '醐', '猢', '怙', '唿', '戽', '槲', '觳', '煳', '鹕', '冱', '瓠', '虍', '岵', '鹱', '烀', '轷'],
  'ga': ['嘎', '尬', '噶', '旮', '尕', '钆', '尜'],
  'ge': ['个', '各', '革', '格', '歌', '哥', '隔', '割', '阁', '戈', '葛', '鸽', '搁', '胳', '舸', '铬', '骼', '圪', '镉', '嗝', '膈', '袼', '搿', '塥', '虼'],
  'ha': ['哈'],
  'xia': ['下', '夏', '峡', '辖', '霞', '虾', '狭', '侠', '暇', '遐', '瞎', '匣', '瑕', '黠', '硖', '罅', '狎', '柙'],
  'gai': ['改', '该', '概', '溉', '钙', '丐', '赅', '垓', '陔', '戤'],
  'hai': ['海', '害', '孩', '亥', '骸', '骇', '氦', '胲', '醢'],
  'gan': ['干', '感', '赶', '敢', '甘', '肝', '杆', '赣', '柑', '尴', '竿', '秆', '橄', '矸', '淦', '苷', '擀', '酐', '绀', '泔', '坩', '疳', '澉'],
  'gang': ['钢', '刚', '岗', '纲', '冈', '杠', '缸', '肛', '罡', '筻'],
  'jiang': ['将', '江', '奖', '讲', '蒋', '姜', '浆', '匠', '酱', '僵', '桨', '绛', '缰', '犟', '豇', '礓', '洚', '茳', '糨', '耩'],
  'hang': ['航', '杭', '沆', '绗', '颃'],
  'gong': ['工', '公', '共', '供', '功', '贡', '攻', '宫', '巩', '龚', '恭', '拱', '躬', '弓', '汞', '珙', '觥', '肱', '廾'],
  'hong': ['宏', '洪', '轰', '虹', '鸿', '弘', '哄', '烘', '泓', '訇', '蕻', '闳', '讧', '荭', '黉', '薨'],
  'guang': ['光', '逛', '犷', '胱', '咣', '桄'],
  'qiong': ['穷', '琼', '穹', '邛', '茕', '筇', '跫', '蛩', '銎'],
  'gao': ['高', '告', '搞', '稿', '膏', '糕', '镐', '羔', '锆', '杲', '郜', '睾', '诰', '藁', '篙', '缟', '槁', '槔'],
  'hao': ['好', '号', '毫', '豪', '耗', '浩', '郝', '皓', '昊', '蒿', '壕', '灏', '嚎', '濠', '蚝', '颢', '嗥', '薅', '嚆'],
  'li': ['理', '力', '利', '立', '里', '李', '历', '例', '离', '励', '礼', '丽', '黎', '璃', '厉', '厘', '粒', '莉', '梨', '栗', '荔', '沥', '犁', '漓', '哩', '狸', '藜', '罹', '篱', '鲤', '砺', '吏', '澧', '俐', '骊', '溧', '砾', '莅', '锂', '笠', '蠡', '蛎', '痢', '雳', '俪', '傈', '醴', '俚', '枥', '喱', '逦', '娌', '鹂', '戾', '唳', '坜', '蜊', '黧', '猁', '粝', '蓠', '呖', '疬', '缡', '鲡', '鳢', '嫠', '詈', '苈', '篥', '轹'],
  'jia': ['加', '假', '佳', '架', '甲', '嘉', '驾', '嫁', '稼', '钾', '迦', '颊', '浃', '枷', '戛', '荚', '痂', '镓', '笳', '珈', '岬', '胛', '袈', '郏', '葭', '铗', '跏', '蛱', '恝'],
  'luo': ['罗', '洛', '逻', '螺', '锣', '骆', '萝', '裸', '摞', '骡', '箩', '珞', '荦', '雒', '椤', '镙', '瘰', '脶', '猡', '倮', '蠃'],
  'ke': ['可', '科', '克', '客', '刻', '课', '颗', '渴', '柯', '棵', '坷', '恪', '磕', '珂', '稞', '瞌', '溘', '轲', '窠', '嗑', '疴', '蝌', '岢', '颏', '髁', '蚵', '缂', '氪', '骒', '钶', '锞'],
  'qia': ['恰', '洽', '掐', '髂', '葜'],
  'gei': [],
  'gen': ['根', '跟', '亘', '艮', '茛'],
  'hen': ['很', '狠', '恨', '痕'],
  'gou': ['构', '购', '够', '沟', '狗', '钩', '勾', '苟', '垢', '篝', '媾', '诟', '岣', '彀', '缑', '笱', '鞲', '觏', '遘'],
  'kou': ['口', '扣', '寇', '叩', '抠', '蔻', '芤', '眍', '筘'],
  'gu': ['股', '古', '顾', '故', '固', '鼓', '骨', '估', '谷', '姑', '孤', '雇', '辜', '菇', '沽', '咕', '锢', '钴', '箍', '梏', '痼', '崮', '轱', '鸪', '牯', '蛊', '诂', '毂', '鹘', '菰', '罟', '嘏', '臌', '觚', '瞽', '蛄', '酤', '牿', '鲴'],
  'pai': ['牌', '排', '派', '拍', '徘', '湃', '俳', '哌', '蒎'],
  'gua': ['挂', '瓜', '刮', '寡', '卦', '褂', '剐', '胍', '诖', '鸹'],
  'tou': ['投', '头', '透', '偷', '骰', '亠'],
  'guai': ['怪', '拐', '乖'],
  'kuai': ['快', '块', '筷', '脍', '蒯', '侩', '郐', '狯', '哙'],
  'guan': ['关', '管', '观', '馆', '官', '贯', '冠', '惯', '灌', '罐', '棺', '倌', '鹳', '鳏', '盥', '掼', '涫'],
  'wan': ['完', '晚', '湾', '玩', '碗', '顽', '挽', '弯', '丸', '皖', '婉', '腕', '蜿', '惋', '烷', '琬', '畹', '豌', '剜', '纨', '绾', '脘', '芄'],
  'ne': ['讷', '疒'],
  'gui': ['规', '贵', '归', '轨', '桂', '圭', '鬼', '硅', '瑰', '跪', '闺', '诡', '癸', '皈', '刽', '晷', '妫', '庋', '簋', '刿', '宄', '匦'],
  'jun': ['军', '均', '俊', '君', '峻', '菌', '竣', '钧', '骏', '郡', '皲', '捃'],
  'jiong': ['窘', '炯', '迥', '冂', '扃'],
  'jue': ['决', '绝', '掘', '崛', '诀', '獗', '抉', '爵', '倔', '厥', '蕨', '攫', '珏', '矍', '蹶', '谲', '镢', '桷', '噘', '撅', '橛', '孓', '觖', '劂', '爝'],
  'gun': ['滚', '辊', '衮', '磙', '鲧', '绲', '丨'],
  'hun': ['婚', '混', '魂', '浑', '昏', '荤', '馄', '诨', '溷', '阍'],
  'guo': ['国', '过', '果', '郭', '锅', '裹', '帼', '椁', '蝈', '虢', '聒', '埚', '猓', '崞', '蜾', '馘'],
  'hei': ['黑'],
  'kan': ['看', '刊', '勘', '堪', '坎', '砍', '侃', '瞰', '龛', '戡', '莰'],
  'heng': ['衡', '横', '恒', '哼', '蘅'],
  'mo': ['末', '墨', '默', '磨', '摸', '漠', '膜', '魔', '沫', '陌', '寞', '蘑', '摹', '蓦', '馍', '茉', '谟', '秣', '嫫', '镆', '殁', '耱', '嬷', '瘼', '貊', '貘'],
  'peng': ['鹏', '朋', '膨', '蓬', '碰', '棚', '捧', '烹', '篷', '澎', '抨', '硼', '怦', '砰', '嘭', '蟛'],
  'hou': ['后', '候', '厚', '侯', '猴', '喉', '吼', '逅', '篌', '糇', '骺', '後', '鲎', '瘊', '堠'],
  'hua': ['化', '华', '划', '话', '花', '画', '滑', '哗', '骅', '桦', '猾', '铧'],
  'huai': ['怀', '淮', '徊', '槐', '踝'],
  'huan': ['环', '换', '欢', '患', '缓', '唤', '焕', '幻', '痪', '桓', '寰', '涣', '宦', '洹', '浣', '豢', '奂', '獾', '鲩', '鬟', '萑', '逭', '漶', '锾', '缳', '擐'],
  'xun': ['讯', '训', '迅', '寻', '询', '循', '旬', '巡', '汛', '勋', '逊', '熏', '徇', '殉', '驯', '鲟', '薰', '荀', '浔', '洵', '峋', '埙', '巽', '醺', '恂', '蕈', '曛', '獯'],
  'huang': ['黄', '荒', '煌', '皇', '凰', '慌', '晃', '谎', '惶', '簧', '璜', '恍', '幌', '湟', '蝗', '磺', '隍', '徨', '遑', '肓', '篁', '鳇', '蟥', '癀'],
  'nai': ['乃', '奶', '耐', '奈', '鼐', '萘', '氖', '柰', '艿'],
  'luan': ['乱', '卵', '滦', '峦', '鸾', '栾', '銮', '挛', '孪', '脔', '娈'],
  'qie': ['切', '窃', '锲', '怯', '惬', '妾', '挈', '箧'],
  'jian': ['建', '间', '件', '坚', '检', '健', '监', '减', '简', '艰', '践', '兼', '鉴', '键', '渐', '柬', '剑', '尖', '肩', '舰', '荐', '箭', '剪', '俭', '碱', '茧', '奸', '歼', '拣', '捡', '煎', '贱', '溅', '涧', '笺', '谏', '饯', '锏', '缄', '睑', '謇', '蹇', '腱', '菅', '翦', '戬', '毽', '笕', '硷', '鞯', '牮', '枧', '湔', '鲣', '裥', '踺', '搛', '缣', '鹣', '蒹', '谫', '僭', '戋', '趼', '楗'],
  'nan': ['男', '楠', '喃', '囡', '赧', '腩', '蝻'],
  'qian': ['前', '千', '钱', '签', '潜', '迁', '欠', '牵', '遣', '谦', '歉', '黔', '谴', '倩', '钳', '茜', '虔', '钎', '骞', '阡', '掮', '钤', '扦', '芊', '仟', '芡', '悭', '缱', '佥', '愆', '褰', '肷', '岍', '搴', '箝', '椠'],
  'qiang': ['墙', '枪', '腔', '锵', '呛', '羌', '蔷', '襁', '羟', '跄', '樯', '戕', '嫱', '戗', '炝', '镪', '锖', '蜣'],
  'xiang': ['向', '项', '相', '想', '乡', '象', '响', '香', '像', '享', '箱', '祥', '湘', '橡', '翔', '襄', '厢', '镶', '飨', '饷', '缃', '骧', '芗', '庠', '鲞', '葙', '蟓'],
  'jiao': ['教', '交', '较', '叫', '脚', '胶', '轿', '郊', '焦', '骄', '浇', '椒', '礁', '佼', '蕉', '娇', '矫', '搅', '绞', '酵', '饺', '窖', '跤', '蛟', '狡', '皎', '茭', '铰', '醮', '鲛', '徼', '鹪', '僬', '噍', '挢', '敫'],
  'zhuo': ['桌', '卓', '捉', '灼', '浊', '酌', '拙', '茁', '涿', '镯', '啄', '倬', '擢', '斫', '诼', '浞', '禚'],
  'qiao': ['桥', '乔', '侨', '巧', '悄', '敲', '瞧', '翘', '窍', '峭', '锹', '撬', '荞', '跷', '樵', '憔', '橇', '诮', '谯', '愀', '鞒', '硗', '劁'],
  'xiao': ['小', '效', '销', '消', '晓', '笑', '肖', '孝', '萧', '潇', '硝', '宵', '啸', '嚣', '霄', '淆', '哮', '筱', '逍', '箫', '骁', '枭', '哓', '绡', '崤', '枵', '魈'],
  'si': ['司', '四', '斯', '私', '死', '丝', '饲', '寺', '肆', '撕', '泗', '嗣', '祀', '厮', '驷', '嘶', '锶', '巳', '蛳', '咝', '耜', '笥', '纟', '鸶', '缌', '澌', '姒', '汜', '兕'],
  'kai': ['开', '凯', '慨', '恺', '揩', '锴', '铠', '垲', '剀', '锎', '蒈'],
  'jin': ['进', '金', '今', '近', '仅', '紧', '尽', '津', '斤', '禁', '锦', '晋', '谨', '筋', '巾', '浸', '襟', '靳', '瑾', '烬', '缙', '钅', '觐', '堇', '馑', '荩', '噤', '妗', '槿', '赆', '衿', '卺'],
  'qin': ['勤', '侵', '秦', '钦', '琴', '禽', '芹', '沁', '寝', '擒', '噙', '嗪', '揿', '芩', '衾', '锓', '吣', '檎', '螓'],
  'jing': ['经', '京', '精', '境', '竞', '警', '竟', '井', '惊', '径', '静', '敬', '镜', '睛', '晶', '荆', '兢', '靖', '泾', '憬', '鲸', '茎', '腈', '菁', '胫', '阱', '旌', '粳', '痉', '儆', '迳', '婧', '肼', '刭', '弪', '獍'],
  'ying': ['应', '营', '影', '英', '迎', '映', '硬', '盈', '赢', '颖', '婴', '鹰', '荧', '莹', '樱', '瑛', '蝇', '萦', '莺', '颍', '膺', '缨', '瀛', '楹', '罂', '萤', '鹦', '滢', '蓥', '郢', '茔', '嘤', '璎', '嬴', '瘿', '媵', '撄', '潆'],
  'jiu': ['就', '究', '九', '酒', '久', '救', '旧', '纠', '舅', '灸', '疚', '揪', '咎', '韭', '玖', '臼', '柩', '赳', '鸠', '鹫', '厩', '啾', '阄', '桕', '僦', '鬏'],
  'zui': ['最', '罪', '嘴', '醉', '蕞'],
  'juan': ['卷', '捐', '眷', '娟', '倦', '绢', '镌', '涓', '鹃', '鄄', '蠲', '狷', '锩', '桊'],
  'suan': ['算', '酸', '蒜', '狻'],
  'yun': ['运', '云', '允', '孕', '蕴', '韵', '酝', '耘', '晕', '匀', '芸', '陨', '纭', '郧', '恽', '郓', '氲', '殒', '愠', '昀', '狁'],
  'qun': ['群', '裙', '逡'],
  'ka': ['喀', '咔', '佧', '胩'],
  'kang': ['康', '抗', '慷', '炕', '亢', '糠', '伉', '钪', '闶'],
  'keng': ['坑', '铿'],
  'kao': ['考', '靠', '烤', '拷', '铐', '栲', '尻', '犒'],
  'ken': ['肯', '垦', '恳', '啃', '裉'],
  'yin': ['因', '引', '银', '印', '音', '饮', '阴', '隐', '姻', '淫', '尹', '荫', '吟', '瘾', '寅', '茵', '垠', '鄞', '蚓', '氤', '胤', '喑', '铟', '洇', '狺', '夤', '廴', '霪', '茚', '堙'],
  'kong': ['空', '控', '孔', '恐', '倥', '崆', '箜'],
  'ku': ['苦', '库', '哭', '酷', '裤', '枯', '窟', '骷', '堀', '绔', '刳', '喾'],
  'kua': ['跨', '夸', '垮', '胯', '侉'],
  'kui': ['亏', '奎', '愧', '魁', '馈', '葵', '窥', '盔', '逵', '睽', '馗', '聩', '喟', '夔', '篑', '岿', '喹', '揆', '暌', '跬', '愦', '蝰'],
  'kuan': ['款', '宽', '髋'],
  'kuang': ['况', '矿', '框', '狂', '旷', '眶', '匡', '筐', '邝', '圹', '哐', '贶', '夼', '诳', '诓', '纩'],
  'que': ['确', '却', '缺', '鹊', '阙', '瘸', '榷', '炔', '阕', '悫'],
  'kun': ['困', '昆', '坤', '捆', '琨', '锟', '鲲', '醌', '髡', '悃', '阃'],
  'kuo': ['扩', '阔', '廓', '蛞'],
  'la': ['拉', '垃', '啦', '辣', '蜡', '喇', '剌', '旯', '邋', '瘌'],
  'lai': ['来', '莱', '赖', '睐', '徕', '籁', '涞', '赉', '濑', '癞', '崃', '铼'],
  'lan': ['兰', '览', '蓝', '篮', '栏', '岚', '烂', '滥', '缆', '揽', '澜', '拦', '懒', '榄', '斓', '婪', '阑', '褴', '罱', '谰', '镧', '漤'],
  'lin': ['林', '临', '邻', '赁', '琳', '磷', '淋', '麟', '霖', '鳞', '凛', '拎', '遴', '蔺', '吝', '粼', '嶙', '躏', '廪', '檩', '辚', '膦', '瞵', '懔'],
  'lang': ['浪', '朗', '郎', '廊', '狼', '琅', '榔', '螂', '阆', '锒', '啷', '蒗', '稂'],
  'liang': ['量', '两', '粮', '良', '辆', '亮', '梁', '凉', '谅', '粱', '晾', '踉', '椋', '魉', '墚'],
  'lao': ['老', '劳', '牢', '捞', '涝', '佬', '崂', '唠', '酪', '痨', '醪', '铑', '铹', '栳', '耢'],
  'mu': ['目', '木', '亩', '幕', '母', '牧', '穆', '姆', '墓', '慕', '牡', '募', '睦', '沐', '暮', '拇', '钼', '苜', '仫', '毪', '坶'],
  'le': ['叻', '鳓', '仂', '泐'],
  'lei': ['类', '累', '雷', '泪', '蕾', '垒', '磊', '擂', '镭', '羸', '耒', '儡', '嫘', '缧', '酹', '诔', '檑'],
  'sui': ['随', '岁', '虽', '碎', '隧', '遂', '髓', '穗', '绥', '邃', '祟', '濉', '燧', '谇', '荽'],
  'lie': ['列', '烈', '劣', '裂', '猎', '冽', '咧', '趔', '洌', '鬣', '埒', '捩', '躐'],
  'leng': ['冷', '愣', '楞', '塄'],
  'ling': ['领', '令', '另', '零', '灵', '龄', '陵', '岭', '凌', '玲', '铃', '菱', '伶', '羚', '苓', '聆', '翎', '泠', '瓴', '囹', '绫', '呤', '棂', '蛉', '酃', '鲮', '柃'],
  'lia': ['俩'],
  'liao': ['料', '疗', '辽', '廖', '聊', '寥', '僚', '燎', '缭', '撂', '撩', '嘹', '镣', '寮', '獠', '钌', '尥', '鹩'],
  'liu': ['流', '刘', '留', '柳', '瘤', '硫', '溜', '浏', '榴', '琉', '馏', '遛', '鎏', '骝', '绺', '镏', '旒', '熘', '鹨', '锍'],
  'lun': ['论', '轮', '伦', '仑', '沦', '抡', '囵'],
  'lv': ['律', '旅', '虑', '履', '吕', '铝', '屡', '氯', '缕', '滤', '侣', '驴', '榈', '闾', '褛', '膂', '稆'],
  'lou': ['楼', '漏', '陋', '娄', '搂', '篓', '喽', '镂', '瘘', '髅', '耧', '蝼', '嵝', '蒌'],
  'mao': ['贸', '毛', '矛', '貌', '茂', '茅', '帽', '猫', '髦', '锚', '懋', '袤', '牦', '卯', '铆', '耄', '峁', '瑁', '蟊', '茆', '蝥', '旄', '泖', '昴', '瞀'],
  'long': ['龙', '隆', '垄', '笼', '拢', '聋', '陇', '胧', '珑', '窿', '茏', '咙', '砻', '垅', '栊', '癃'],
  'nong': ['农', '浓', '脓', '侬', '哝'],
  'shuang': ['双', '爽', '霜', '孀'],
  'shu': ['书', '树', '输', '束', '述', '署', '熟', '殊', '蔬', '舒', '疏', '鼠', '淑', '叔', '暑', '枢', '墅', '曙', '抒', '竖', '蜀', '薯', '梳', '戍', '恕', '孰', '沭', '赎', '庶', '漱', '塾', '倏', '纾', '姝', '菽', '黍', '腧', '秫', '毹', '殳', '摅'],
  'shuai': ['帅', '摔', '甩', '蟀'],
  'lve': ['略', '掠', '锊'],
  'ma': ['马', '吗', '麻', '码', '妈', '玛', '嘛', '骂', '蚂', '唛', '犸', '杩'],
  'me': [],
  'mai': ['买', '卖', '麦', '迈', '霾', '荬', '劢'],
  'man': ['满', '慢', '曼', '漫', '蛮', '鳗', '馒', '幔', '谩', '螨', '熳', '缦', '镘', '颟', '墁'],
  'mi': ['米', '密', '迷', '弥', '蜜', '谜', '觅', '靡', '眯', '麋', '猕', '谧', '咪', '汨', '醚', '嘧', '弭', '脒', '冖', '幂', '祢', '縻', '蘼', '芈', '敉'],
  'men': ['们', '门', '闷', '扪', '焖', '懑', '钔'],
  'mang': ['忙', '盲', '茫', '芒', '莽', '邙', '硭', '漭'],
  'meng': ['蒙', '盟', '梦', '猛', '孟', '萌', '朦', '锰', '檬', '勐', '懵', '蜢', '虻', '蠓', '艨', '甍', '艋', '瞢', '礞'],
  'miao': ['苗', '秒', '妙', '描', '庙', '瞄', '渺', '淼', '藐', '缈', '邈', '鹋', '杪', '眇', '喵'],
  'mou': ['某', '谋', '眸', '哞', '鍪', '蛑', '侔'],
  'miu': ['谬'],
  'mei': ['美', '每', '煤', '梅', '媒', '枚', '妹', '眉', '魅', '霉', '昧', '媚', '玫', '酶', '镁', '湄', '寐', '莓', '袂', '楣', '嵋', '镅', '浼', '猸', '鹛'],
  'wen': ['文', '问', '闻', '稳', '温', '纹', '吻', '蚊', '雯', '紊', '瘟', '刎', '璺', '阌'],
  'mie': ['灭', '蔑', '篾', '咩', '蠛'],
  'ming': ['明', '名', '命', '鸣', '铭', '冥', '茗', '溟', '酩', '瞑', '螟', '暝'],
  'na': ['纳', '拿', '钠', '捺', '衲', '镎', '肭'],
  'nei': ['馁'],
  'nuo': ['诺', '挪', '糯', '懦', '傩', '搦', '锘'],
  'ruo': ['弱', '偌', '箬'],
  'nang': ['囊', '馕', '囔', '曩', '攮'],
  'nao': ['脑', '闹', '恼', '挠', '瑙', '孬', '垴', '铙', '呶', '硇', '猱', '蛲'],
  'ni': ['你', '尼', '泥', '拟', '逆', '倪', '妮', '腻', '匿', '霓', '旎', '昵', '坭', '铌', '鲵', '伲', '怩', '睨', '猊'],
  'nen': ['嫩'],
  'neng': [],
  'nin': ['您'],
  'niao': ['鸟', '袅', '脲', '茑', '嬲'],
  'nie': ['聂', '捏', '涅', '镍', '孽', '蘖', '啮', '蹑', '嗫', '臬', '镊', '颞', '陧'],
  'niang': ['娘'],
  'ning': ['凝', '拧', '泞', '柠', '咛', '狞', '佞', '聍', '甯'],
  'nu': ['努', '怒', '奴', '弩', '驽', '孥', '胬'],
  'nv': ['钕', '衄', '恧'],
  'ru': ['入', '如', '乳', '儒', '辱', '汝', '茹', '褥', '孺', '濡', '蠕', '嚅', '缛', '溽', '铷', '洳', '薷', '襦', '颥', '蓐'],
  'nuan': ['暖'],
  'nve': ['虐'],
  're': ['热', '惹'],
  'ou': ['欧', '偶', '殴', '呕', '藕', '讴', '鸥', '瓯', '沤', '耦', '怄'],
  'pao': ['跑', '泡', '抛', '袍', '咆', '疱', '庖', '狍', '匏', '脬'],
  'pou': ['剖', '掊', '裒'],
  'pen': ['喷', '盆', '湓'],
  'pie': ['瞥', '撇', '苤', '氕', '丿'],
  'pin': ['品', '贫', '聘', '拼', '颦', '姘', '嫔', '榀', '牝'],
  'se': ['色', '瑟', '涩', '啬', '穑', '铯'],
  'qing': ['情', '青', '清', '请', '轻', '庆', '倾', '顷', '卿', '晴', '氢', '擎', '氰', '罄', '磬', '蜻', '鲭', '苘', '黥', '圊', '檠', '謦'],
  'zan': ['赞', '暂', '昝', '簪', '糌', '瓒', '錾', '趱'],
  'shao': ['少', '绍', '烧', '稍', '邵', '哨', '韶', '捎', '勺', '芍', '劭', '艄', '筲', '潲'],
  'sao': ['扫', '骚', '嫂', '缫', '搔', '瘙', '臊', '埽', '鳋'],
  'sha': ['沙', '杀', '纱', '砂', '啥', '傻', '煞', '鲨', '霎', '痧', '裟', '铩', '唼', '歃'],
  'xuan': ['选', '宣', '旋', '悬', '轩', '喧', '玄', '绚', '渲', '璇', '炫', '萱', '癣', '漩', '眩', '暄', '煊', '铉', '楦', '泫', '谖', '痃', '碹', '揎', '镟', '儇'],
  'ran': ['然', '染', '燃', '冉', '苒', '髯', '蚺'],
  'rang': ['让', '壤', '攘', '嚷', '瓤', '穰', '禳'],
  'rao': ['绕', '扰', '饶', '娆', '荛'],
  'reng': ['仍', '扔'],
  'ri': ['日'],
  'rou': ['肉', '柔', '揉', '糅', '鞣', '蹂'],
  'ruan': ['软', '阮', '朊'],
  'run': ['润', '闰'],
  'sa': ['萨', '撒', '飒', '卅', '仨', '脎'],
  'suo': ['所', '索', '锁', '梭', '琐', '嗦', '唆', '唢', '娑', '蓑', '羧', '桫', '嗍', '睃'],
  'sai': ['赛', '腮', '噻'],
  'shui': ['水', '税', '谁', '睡', '氵'],
  'sang': ['桑', '丧', '嗓', '搡', '颡', '磉'],
  'sen': ['森'],
  'seng': ['僧'],
  'shai': ['筛', '晒'],
  'shang': ['上', '商', '尚', '伤', '赏', '墒', '晌', '垧', '觞', '殇', '熵', '绱'],
  'xing': ['星', '腥', '猩', '惺', '兴', '刑', '型', '形', '邢', '饧', '醒', '幸', '杏', '性', '姓', '陉', '荇', '擤', '悻', '硎'],
  'shou': ['收', '手', '受', '首', '售', '授', '守', '寿', '瘦', '兽', '狩', '绶', '艏', '扌'],
  'shuo': ['烁', '朔', '铄', '妁', '槊', '蒴', '搠'],
  'su': ['速', '素', '苏', '诉', '塑', '肃', '俗', '粟', '溯', '酥', '夙', '愫', '簌', '稣', '僳', '谡', '涑', '蔌', '嗉', '觫'],
  'shua': ['刷', '耍', '唰'],
  'shuan': ['栓', '拴', '涮', '闩'],
  'shun': ['顺', '瞬', '舜', '吮'],
  'song': ['送', '松', '宋', '讼', '颂', '耸', '诵', '嵩', '淞', '怂', '悚', '崧', '凇', '竦', '菘'],
  'sou': ['艘', '搜', '擞', '嗽', '嗖', '叟', '馊', '薮', '飕', '嗾', '溲', '锼', '螋', '瞍'],
  'sun': ['损', '笋', '荪', '榫', '隼', '狲', '飧'],
  'teng': ['腾', '疼', '藤', '滕', '誊'],
  'tie': ['铁', '贴', '帖', '餮', '萜'],
  'tu': ['土', '突', '图', '途', '徒', '涂', '吐', '屠', '兔', '秃', '凸', '荼', '钍', '菟', '堍', '酴'],
  'wai': ['外', '歪'],
  'wang': ['王', '望', '往', '网', '忘', '旺', '汪', '枉', '妄', '惘', '罔', '辋', '魍'],
  'weng': ['翁', '嗡', '瓮', '蓊', '蕹'],
  'zhua': ['抓'],
  'yang': ['样', '养', '央', '阳', '洋', '扬', '杨', '氧', '秧', '痒', '漾', '疡', '泱', '殃', '恙', '鸯', '徉', '佯', '怏', '炀', '烊', '鞅', '蛘'],
  'xiong': ['雄', '兄', '熊', '胸', '凶', '匈', '汹', '芎'],
  'yo': ['哟', '唷'],
  'yong': ['用', '永', '拥', '勇', '泳', '庸', '俑', '踊', '佣', '咏', '雍', '甬', '镛', '臃', '邕', '蛹', '恿', '慵', '壅', '痈', '鳙', '墉', '饔', '喁'],
  'za': ['杂', '砸', '匝', '咂'],
  'zai': ['在', '再', '灾', '载', '栽', '宰', '哉', '崽'],
  'zao': ['造', '早', '遭', '枣', '噪', '灶', '燥', '糟', '凿', '躁', '藻', '皂', '澡', '蚤', '唣'],
  'zei': ['贼'],
  'zen': ['怎', '谮'],
  'zeng': ['增', '赠', '憎', '锃', '甑', '罾', '缯'],
  'zhei': [],
  'zou': ['走', '邹', '奏', '揍', '诹', '驺', '陬', '鄹', '鲰'],
  'zhuai': [],
  'zun': ['尊', '遵', '鳟', '樽', '撙'],
  'dia': ['嗲'],
  'nou': ['耨']
}
